Summary: Create daily summaries of system activity from system logs. 
Name: dailyscript
Version: 3.1
Release: 2
Packager: Kirk Bauer <kirk@kaybee.org>
Copyright: distributable
Group: Utilities/System
Source: ftp.kaybee.org:/pub/linux/dailyscript-3.1.tar.gz
Requires: crontabs,bash,sed,grep,fileutils,SysVinit,textutils,net-tools,sh-utils

%description
*For Red Hat Linux 4.2*  Get Version 1.3 for RHL 4.1....
This is a script designed to be run every night and it looks through
log files and gives a summary of everything that happened that day.
It was designed to run on Red Hat Linux 4.2 systems, but may run on
other Linux distributions and other versions of Red Hat Linux.
New in 3.0: checks maillog and does security checks via 'rpm -Va'.

%post
echo
echo "This version of DailyScript is for Red Hat Linux 4.2.  Download DailyScript"
echo "Version 1.3 for older versions of Red Hat Linux."
echo
echo "Note -- All configuration is now in /etc/dailyscript.conf"
echo

%prep
%setup
%build

%install
mkdir -p /var/local/dailyscript
cp sed-script-1 sed-script-2 smtpstats todays_stats /var/local/dailyscript
cp dailyscript check-packages /etc/cron.daily
chown root.root /etc/cron.daily/dailyscript /etc/cron.daily/check-packages /var/local/dailyscript/smtpstats /var/local/dailyscript/todays_stats
chmod 0770 /etc/cron.daily/dailyscript /etc/cron.daily/check-packages /var/local/dailyscript/smtpstats /var/local/dailyscript/todays_stats
cp dailyscript.conf /etc
chown root.root /etc/dailyscript.conf
chmod 0660 /etc/dailyscript.conf

%files
%doc README
%config /etc/dailyscript.conf
/etc/cron.daily/dailyscript
%dir /var/local/dailyscript
/var/local/dailyscript/sed-script-1
/var/local/dailyscript/sed-script-2
/var/local/dailyscript/smtpstats
/var/local/dailyscript/todays_stats
/etc/cron.daily/check-packages
